cURL
curl --request PATCH \ --url https://neo.api.projectdiscovery.io/api/v1/teams/members/role \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "email": "jsmith@example.com", "role": "admin" } '
{ "member": { "email": "jsmith@example.com", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "invited_at": "2023-11-07T05:31:56Z", "role": "admin", "status": "pending", "accepted_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "invited_by": "jsmith@example.com", "updated_at": "2023-11-07T05:31:56Z" } }
Update a team member’s role. Only team admins can update roles.
Documentation IndexFetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt
Use this file to discover all available pages before exploring further.
JWT authentication token
Email of the member to update
New role for the member
admin
member
viewer
Member role updated
Show child attributes